Bug 1428124 - RuntimeError Multiple parents found / in generate_one_content_for_group
Summary: RuntimeError Multiple parents found / in generate_one_content_for_group
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.7.2
Assignee: Gregg Tanzillo
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On: 1406431
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-01 20:37 UTC by Satoe Imaishi
Modified: 2020-06-11 13:21 UTC (History)
7 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1406431
Environment:
5.5.0.13
Last Closed: 2017-04-12 14:40:49 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-03-09 19:11:11 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/b88ad85327212c315d7a3a1c528ec665475ef171

commit b88ad85327212c315d7a3a1c528ec665475ef171
Author:     Joe Rafaniello <jrafanie@users.noreply.github.com>
AuthorDate: Wed Mar 1 13:38:06 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Mar 9 14:06:19 2017 -0500

    Merge pull request #14060 from Fryguy/die_multiple_parents_found
    
    Fix "Multiple Parents Found" issue when moving a relationship.
    (cherry picked from commit 31a42b746f97772c7af10a322d44de3e4fbd7eca)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1428079
    https://bugzilla.redhat.com/show_bug.cgi?id=1428126
    https://bugzilla.redhat.com/show_bug.cgi?id=1428124

 app/models/account.rb                         |  4 +-
 app/models/mixins/relationship_mixin.rb       | 21 +++++-----
 lib/extensions/ar_miq_set.rb                  |  3 +-
 spec/models/mixins/relationship_mixin_spec.rb | 56 +++++++++++++++++++++++++++
 4 files changed, 71 insertions(+), 13 deletions(-)

Comment 5 errata-xmlrpc 2017-04-12 14:40:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.